# Usage

When `teklia-dan` is installed in your environment, you may use the following commands:

`teklia-dan dataset`
: To preprocess datasets from Arkindex for training. More details in the [dedicated page](./datasets/index.md).

`teklia-dan train`
: To train a new DAN model. More details in the [dedicated page](./train/index.md).

`teklia-dan evaluate`
: To evaluate a trained DAN model. More details in the [dedicated page](./evaluate/index.md).

`teklia-dan predict`
: To predict an image using a trained DAN model. More details in the [dedicated page](./predict/index.md).

`teklia-dan convert`
: To convert DAN predictions to BIO format. Mostly useful when training DAN for the NER task. More details in the [dedicated page](./convert/index.md).
